Bug 483501 (python-fiat) - Review Request: python-fiat - Generation of arbitrary order instances of the Lagrange elements
Summary: Review Request: python-fiat - Generation of arbitrary order instances of the ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: python-fiat
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FEniCS dolfin
TreeView+ depends on / blocked
 
Reported: 2009-02-01 22:04 UTC by Fabian Affolter
Modified: 2012-05-15 13:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-20 11:49:37 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-02-01 22:04:56 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-fiat.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-fiat-0.3.4-1.fc10.src.rpm

Project URL: http://www.fenics.org/wiki/FIAT

Description:
The FInite element Automatic Tabulator FIAT supports generation of arbitrary
order instances of the Lagrange elements on lines, triangles, and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-type
quadrature rules on the same element shapes. Upcoming versions will also
support Hermite and nonconforming elements as well as H(div) and H(curl)
elements such as Raviart-Thomas and Nedelec. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1097748

rpmlint output:
[fab@laptop24 noarch]$ rpmlint python-fiat-0.3.4-1.fc10.noarch.rpm 
python-fiat.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop24 SRPMS]$ rpmlint python-fiat-0.3.4-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Parag AN(पराग) 2009-02-02 06:21:49 UTC
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1098612
- rpmlint is NOT silent for SRPM and for RPM.
python-fiat.src: W: invalid-license LGPL+
python-fiat.noarch: W: no-documentation
python-fiat.noarch: W: invalid-license LGPL+

+ source files match upstream url
cc53f9d567ed71929cf94a9a83f3a027  FIAT-0.3.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ no %doc files present to install.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

Suggestions
1) License tag should be LGPLv2+ as described in Licensing page as
"A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include. Note that this is LGPLv2+, not LGPL+, because version 2 was the first version of LGPL. "

2) you should ask upstream to include license text file in next upstream release.

APPROVED.

Comment 2 Fabian Affolter 2009-02-02 08:20:27 UTC
Thanks for the explanation about the licenses.  I will fix this before cvs import.

Comment 3 Fabian Affolter 2009-02-02 08:21:04 UTC
New Package CVS Request
=======================
Package Name: python-fiat
Short Description: Generation of arbitrary order instances of the Lagrange elements
Owners: fab
Branches: F-9 F-10
InitialCC:

Comment 4 Kevin Fenzi 2009-02-03 04:17:48 UTC
cvs done.

Comment 5 Fabian Affolter 2009-02-04 10:12:43 UTC
External Bug report about the license file for tracking reasons
http://www.fenics.org/cgi-bin/bugzilla/show_bug.cgi?id=58

Comment 6 Fedora Update System 2009-02-05 02:09:01 UTC
python-fiat-0.3.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-fiat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1210

Comment 7 Fedora Update System 2009-02-05 02:21:19 UTC
python-fiat-0.3.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-fiat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1352

Comment 9 Jonathan Underwood 2012-05-02 20:40:01 UTC
Package Change Request
======================
Package Name: python-fiat
New Branches: el6
Owners: jgu
InitialCC:

Comment 10 Gwyn Ciesla 2012-05-03 13:09:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.